OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
RWStepFEA

# RWStepFEA_RWFeaModel3d Class Reference

Read & Write tool for FeaModel3d
.

`#include <RWStepFEA_RWFeaModel3d.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | RWStepFEA_RWFeaModel3d ()
| Empty constructor .
Standard_EXPORT void | ReadStep (const Handle(StepData_StepReaderData)&data, const Standard_Integer num, Handle(Interface_Check)&ach, const Handle(StepFEA_FeaModel3d)&ent) const
| Reads FeaModel3d .
Standard_EXPORT void | WriteStep (StepData_StepWriter &SW, const Handle(StepFEA_FeaModel3d)&ent) const
| Writes FeaModel3d .
Standard_EXPORT void | Share (const Handle(StepFEA_FeaModel3d)&ent, Interface_EntityIterator &iter) const
| Fills data for graph (shared items) .

## Constructor & Destructor Documentation

Standard_EXPORT RWStepFEA_RWFeaModel3d::RWStepFEA_RWFeaModel3d | ( |  | ) |

## Member Function Documentation

void RWStepFEA_RWFeaModel3d::operator delete | ( | void * | anAddress | ) | `[inline]`

void* RWStepFEA_RWFeaModel3d::operator new | ( | size_t | size | ) | `[inline]`

void* RWStepFEA_RWFeaModel3d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void RWStepFEA_RWFeaModel3d::ReadStep | ( | const Handle(StepData_StepReaderData)& | data,
|  | const Standard_Integer | num,
|  | Handle(Interface_Check)& | ach,
|  | const Handle(StepFEA_FeaModel3d)& | ent
| ) | const

Standard_EXPORT void RWStepFEA_RWFeaModel3d::Share | ( | const Handle(StepFEA_FeaModel3d)& | ent,
|  | Interface_EntityIterator & | iter
| ) | const

Standard_EXPORT void RWStepFEA_RWFeaModel3d::WriteStep | ( | StepData_StepWriter & | SW,
|  | const Handle(StepFEA_FeaModel3d)& | ent
| ) | const

The documentation for this class was generated from the following file:

- RWStepFEA_RWFeaModel3d.hxx